Atom-IDE for CSS, LESS and SCSS language


Keywords
atom-editor, atom-ide, atom-package, atom-plugin, css, language-server-protocol
Install
apm install ide-css@0.3.3

Documentation

ide-css

apm-download-count travis-status dependency-status

Atom-IDE for CSS, LESS and SCSS language

demo1

demo2

Features

  • CSS rules Outline in Outline View
    • Quick navigation by clicking
    • Quick CSS rule selection by double clicking
    • Searching by entering element name or class name in selector
  • Tooltips for
    • CSS selector
    • CSS property
    • Linter message
  • Support other CSS preprocessor grammars: LESS, SCSS

Requirements

you need to install following requirements before installing ide-css:

  • Atom editor 1.21.0-beta0 or higher version
  • Atom package atom-ide-ui

FAQ

Why I could not download this Atom package?

Please make sure you have installed all softwares in Requirements section.


I've installed ide-css. Why there is still nothing shown in Outline View when css opened?

Please check the file exists in the Project Tree View so that it can be handled by ide-css.

In addition, to show outline view, use Atom command Outline View: Toggle.


How can I customize this package?

Please read CONTRIBUTING.md for more details.


Notes and References

License

MIT License